EmberTransportServerChannelFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.ember.EmberTransportServerChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.ember
Class EmberTransportServerChannelFactory

    java.lang.Object
      org.codehaus.activemq.transport.ember.EmberSupport
          org.codehaus.activemq.transport.ember.EmberTransportServerChannelFactory

All Implemented Interfaces:
  TransportServerChannelFactory

public class EmberTransportServerChannelFactory
extends EmberSupport
implements TransportServerChannelFactory

An EmberIO (using NIO) implementation of a TransportServerChannelFactory

Version:
  $Revision: 1.7 $

Constructor Summary
`EmberTransportServerChannelFactory()`
`EmberTransportServerChannelFactory(pyrasun.eio.EIOGlobalContext context, pyrasun.eio.EIOPoolingStrategy ioPoolingStrategy, pyrasun.eio.EIOPoolingStrategy acceptPoolingStrategy)`

Method Summary
`TransportServerChannel` | `create(WireFormat wireFormat, URI bindAddress)` Bind a ServerChannel to an address
`protected pyrasun.eio.EIOPoolingStrategy` | `getAcceptPoolingStrategy()`

Methods inherited from class org.codehaus.activemq.transport.ember.EmberSupport
`createJMSException, getContext, getController, getIoPoolingStrategy, getKey, getPoolingStrategyByName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmberTransportServerChannelFactory

    public EmberTransportServerChannelFactory()

### EmberTransportServerChannelFactory

    public EmberTransportServerChannelFactory(pyrasun.eio.EIOGlobalContext context,
                                              pyrasun.eio.EIOPoolingStrategy ioPoolingStrategy,
                                              pyrasun.eio.EIOPoolingStrategy acceptPoolingStrategy)

Method Detail

### create

    public TransportServerChannel create(WireFormat wireFormat,
                                         URI bindAddress)
                                  throws JMSException

  Bind a ServerChannel to an address

  Specified by:
    `create` in interface `TransportServerChannelFactory`
  Parameters:
    `wireFormat` -
    `bindAddress` -
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### getAcceptPoolingStrategy

    protected pyrasun.eio.EIOPoolingStrategy getAcceptPoolingStrategy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.